package cn.wps.moffice.service.doc.print;

import cn.wps.moffice.service.doc.print.PrintOutRange;
import cn.wps.moffice.service.doc.print.PrintOutPages;
import cn.wps.moffice.service.doc.print.PagesNum;
import cn.wps.moffice.service.doc.print.PrintOrder;

//打印设置相关
interface PrintSetting
{
	//设置要打印的页码范围
	void setPrintOutRange(in PrintOutRange range);
	
	//获取要打印的页码范围
	PrintOutRange getPrintOutRange();
	
	//设置要打印的页面类型
	void setPrintPageType(in PrintOutPages type);
	
	//获取要打印的页面类型
	PrintOutPages getPrintPageType();
	
	//设置要打印的份数
	void setPrintCopies(int copies);
	
	//获取要打印的份数
	int getPrintCopies();
	
	//设置打印的起始页码
	void setPrintStart(int start);
	
	//获取打印的起始页码
	int getPrintStart();
	
	//设置打印的页码和页码范围
	void setPrintPages(String pages);
	
	//获取打印的页码和页码范围
	String getPrintPages();
	
	//设置打印的结束页码
	void setPrintEnd(int end);
	
	//获取打印的结束页码
	int getPrintEnd();
	
	//设置是否逐份打印
	void setCollate(boolean collate);
	
	//获取是否逐份打印
	boolean getCollate();
	
	//设置是否打印到文件,如果该属性值为 True，则将打印指令发送到文件。请确保使用 outputFileName 指定文件名。
	void setPrintToFile(boolean bFile);
	
	//获取是否打印到文件
	boolean getPrintToFile();
	
	//设置输出文件路径
	void setOutputFile(String path);
	
	//获取输出文件路径
	String getOutputFile();
	
	//设置将打印页面缩放到的宽度，以缇为单位
	void setPrintZoomPaperWidth(float width);
	
	//获取将打印页面缩放到的宽度，以缇为单位
	float getPrintZoomPaperWidth();
	
	//设置将打印页面缩放到的高度，以缇为单位
	void setPrintZoomPaperHeight(float height);
	
	//获取将打印页面缩放到的高度，以缇为单位
	float getPrintZoomPaperHeight();
	
	//设置每页的版数
	void setPagesPerSheet(in PagesNum pages);
	
	//获取每页的版数
	PagesNum getPagesPerSheet();
	
	//设置并打的方向
	void setPrintOrder(in PrintOrder range);
	
	//获取并打的方向
	PrintOrder getPrintOrder();
	
	//设置并打时是否绘制分割线
	void setDrawLines(boolean drawLines);
	
	//获取并打时是否绘制分割线
	boolean getDrawLines();
	
	//设置打印的项目
	void setPrintItem(int item);
	
	//获取要打印的项目
	int getPrintItem();
}