package cn.wps.moffice.service.doc.table;

import cn.wps.moffice.service.doc.Shading;
import cn.wps.moffice.service.doc.Range;
import cn.wps.moffice.service.doc.table.Tables;
import cn.wps.moffice.service.doc.table.Table;
import cn.wps.moffice.service.doc.table.Row;
import cn.wps.moffice.service.doc.table.Column;

//该对象代表表格中的一个单元格。
interface Cell
{
	//返回一个 Cell 对象,该对象代表该单元格左边的单元格
	Cell left();
	
	//返回一个 Cell 对象，该对象代表 该单元格右边的单元格
	Cell right();
	
	//返回一个 Cell 对象，该对象代表 该单元格上面的单元格
	Cell up();
	
	//返回一个 Cell 对象，该对象代表 该单元格右面的单元格
	Cell down();
	
	//选中当前单元格
	void select();
	
	void setHeight(float height);
	
	float getHeight();
	
	void setWidth(float width);
	
	float getWidth();
	
	//返回一个 Range 对象，该对象代表指定对象中包含的文档部分。
	Range getRange();
	
	//返回一个 Row 对象，该对象代表指定单元格所在的行。
	Row getRow();
	
	//返回指定单元格所在行的行数
	int getRowIndex();
	
	//返回一个 Column 对象，该对象代表包含指定单元格的表格列。
	Column getColumn();
	
	//返回包含指定单元格的表格列数。
	int getColumnIndex();
	
	//获取当前Cell所在的table
	Table getTable();
	
	//返回一个 Tables 集合，该集合代表指定表格单元格中的所有嵌套表格
	Tables getTables();
	
	//开始移动边框线
	boolean beginMoveFrame(boolean left);
	
	float moveFrame(float dist);
	
	boolean endMoveFrame();
	
	//开始调整行高
	boolean beginAdjustHeight();
	
	float adjustHeight(float height);
	
	boolean endAdjustHeight();
	
	//获取底纹格式
	Shading getShading();
	
}