package cn.wps.moffice.service.doc.table;

import cn.wps.moffice.service.doc.Shading;
import cn.wps.moffice.service.doc.table.Cells;
import cn.wps.moffice.service.doc.table.Columns;
import cn.wps.moffice.service.doc.table.Table;

//该对象代表表格中的一列。
interface Column
{
	void delete();
	
	void select();
	
	//返回一个 Cells 集合，该集合代表表格列中的表格单元格
	Cells getCells();
	
	//返回表格列集合中的下一列。
	Column next();
	
	//返回表格列集合中的 上一列。
	Column previous();
	
	//设置指定列的宽度，以磅为单位
	void setWidth(float width);
	
	//返回指定列的宽度，以磅为单位
	float getWidth();
	
	//获取当前列所在的table
	Table getTable();
	
	Column insertColumn(boolean after);
	
	Columns insertColumns(boolean after, int colCount);
	
	//设置改变表格列宽，使之在单元格文本换行方式不变的情况下，适应文本宽度。
	void setAutoFit(boolean autoFit);
	
	boolean getAutoFit();
	
	//开始移动边框线
	boolean beginMoveFrame(boolean left);
	void setMoveColIndex(int colIndex);
	
	float moveFrame(float dist);
	
	boolean endMoveFrame();
	
	//获取底纹格式
	Shading getShading();

}