package cn.wps.moffice.service.doc.table;

import cn.wps.moffice.service.doc.Shading;
import cn.wps.moffice.service.doc.table.Cells;
import cn.wps.moffice.service.doc.table.Rows;
import cn.wps.moffice.service.doc.table.Table;


//该对象代表表格中的一行。
interface Row
{
	void delete();
	
	void select();
	
	//返回一个 Cells 集合，该集合代表表格行中的表格单元格
	Cells getCells();
	
	//返回表格行集合中的下一行。
	Row next();
	
	//返回表格行集合中的 上一行。
	Row previous();
	
	//设置指定行的高度，以磅为单位
	void setHeight(float height);
	
	//返回指定行的高度，以磅为单位
	float getHeight();
	
	Row insertRow(boolean after);
	
	Rows insertRows(boolean after, int rowCount);
	
	//获取当前行所在的table
	Table getTable();
	
	//开始调整行高
	boolean beginAdjustHeight();
	
	float adjustHeight(float height);
	
	boolean endAdjustHeight();
	
	//获取底纹格式
	Shading getShading();
	
}