package cn.wps.moffice.service.doc.table;

import cn.wps.moffice.service.doc.Style;
import cn.wps.moffice.service.doc.Shading;
import cn.wps.moffice.service.doc.Alignment;
import cn.wps.moffice.service.doc.table.TableAround;
import cn.wps.moffice.service.doc.table.Rows;
import cn.wps.moffice.service.doc.table.Columns;
import cn.wps.moffice.service.doc.table.Tables;
import cn.wps.moffice.service.doc.table.TableLook;

//单个表格
interface Table
{
	void delete();
	
	void select();
	
	//返回表格的嵌套层。
	int getNestingLevel();
	
	Rows getRows();
	
	Columns getColumns();
	
	//返回表格中单元格的间距（以磅为单位）。
	float getSpacing();
	
	//设置表格中单元格的间距（以磅为单位）。
	void setSpacing(float spacing);
	
	//获取底纹格式
	Shading getShading();
	
	//返回一个 Tables 集合，该集合代表指定表格中嵌套的所有表格。
	Tables getTables();
	
	//开始移动一个table
	boolean beginMove();
	
	void move(float xOffset, float yOffset);
	
	boolean endMove();
	
	int getStyleId();
	
	void setStyleID(int styleID);
	
	void setStyle(in Style style);
	
	TableLook getTableLook();
	
	//获取表格对齐方式
	Alignment getTableAlignment();
	
	//设置表格对齐方式
	void setTableAlignment(in Alignment jc);
	
	//获取表格绕排方式
	TableAround getTableAround();
	
}