package cn.wps.moffice.service.excel;

import cn.wps.moffice.service.excel.Workbook;
import cn.wps.moffice.service.test.TestConstRecognisor;
import cn.wps.moffice.service.test.TestNumFormatter;
import cn.wps.moffice.service.test.TestChart;

//当前在 Word 中打开的所有 Workbook 对象的集合。
interface Workbooks
{
	//添加一个文档
	void add(Workbook workbook);
	
	//打开一个文档
	Workbook open(String path, String password);
	
	//返回集合中Workbook的数量
	int getCount();
	
	//返回集合中的单个 Workbook 对象。
	Workbook getWorkbook(int n);


	// 新建一个工作簿
	Workbook newBook();

	// 关闭所有工作簿
	void closeAll();
	
	// 测试相关
	TestConstRecognisor constRecognisor();
	TestNumFormatter numFormat();
	TestChart testChart();

	// 关闭所有工作簿并释放资源
	void quit();
}