package cn.wps.moffice.service.excel;
import cn.wps.moffice.service.excel.CellIterator;
//操作接口
interface Worksheet
{
	// 获取单元格遍历
	CellIterator getCellIterator(int firstRow, int lastRow, int firstCol, int lastCol);

	// 获取单元格数据类型
	int getCellValueType(int row, int col);

	// 布尔值
	boolean getCellBooleanValue(int row, int col);
	void setCellBooleanValue(int row, int col, boolean value);

	// 错误码
	byte getCellErrorCode(int row, int col);
	void setCellErrorCode(int row, int col, byte errCode);

	// 数值值
	double getCellNumericValue(int row, int col);
	void setCellNumericValue(int row, int col, double value);

	// 字符串值
	String getCellStringValue(int row, int col);
	void setCellStringValue(int row, int col, String value);

	// 设置单元格内容
	void setCellRawValue(int row, int col, String raw);

	// 是否为空
	boolean isEmpty() ;

	// 工作表名称
	String getName() ;
}